Bug 179706 - scim.pc doesn't refer to the versioned directory
Summary: scim.pc doesn't refer to the versioned directory
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: scim
Version: rawhide
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jens Petersen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-02-02 09:45 UTC by Akira TAGOH
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2006-03-24 07:57:02 UTC


Attachments (Terms of Use)

Description Akira TAGOH 2006-02-02 09:45:06 UTC
Description of problem:
Installing the modules under the versioned directory seems to be recommended and
scim.pc has some variables to determine which directory is proper, but it's not
referring to the versioned directory. so IMEs and applications that uses scim,
needs to have extra stuff to be installed under *recommended* place.

Version-Release number of selected component (if applicable):
1.4.4-1

How reproducible:
always

Steps to Reproduce:
1.pkg-config --variable=moduledir scim
2.
3.
  
Actual results:
/usr/lib/scim-1.0

Expected results:
/usr/lib/scim-1.0/1.4.0

Additional info:

Comment 1 Jens Petersen 2006-02-03 15:02:25 UTC
Should get fixed in next build scim-1.4.4-2.

Note probably scim-anthy needs to be patched to not look at
scim_binary_version for installing anthy-imengine-helper.so after this.


Note You need to log in before you can comment on or make changes to this bug.